## org.hibernate.metamodel.source.annotations.attribute.type
Interface AttributeTypeResolver

All Known Implementing Classes:
  AbstractAttributeTypeResolver, AttributeTypeResolverImpl, CompositeAttributeTypeResolver, EnumeratedTypeResolver, LobTypeResolver, TemporalTypeResolver

    public interface AttributeTypeResolver

Determines explicit Hibernate type information for JPA mapped attributes when additional type information is provided via annotations like `Lob`, `Enumerated` and `Temporal`.

Method Summary
`String` `getExplicitHibernateTypeName()`
`Map<String,String>` `getExplicitHibernateTypeParameters()`

Method Detail

### getExplicitHibernateTypeName

    String getExplicitHibernateTypeName()

  Returns:
    returns an explicit hibernate type name in case the mapped attribute has an additional `Type` annotation or an implicit type is given via the use of annotations like `Lob`, `Enumerated` and `Temporal`.

### getExplicitHibernateTypeParameters

    Map<String,String> getExplicitHibernateTypeParameters()

  Returns:
    Returns a map of optional type parameters. See `getExplicitHibernateTypeName()`.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.